import { FieldMeta } from '../../capabilities/model-field-runtime';
/** 查找字段组件 */
export declare function findFieldWidget(instances: any[], fieldKey: string, modelKey: string): any;
/** 数据转成真实提交数据（二维表要平铺） */
export declare function getSubmitFormData(formData: any): any;
/** 转换formState */
export declare function conversionFormState(payload: {
    /** 主从关联字段列表 */
    masterSlaveList: FieldMeta[];
    /** 渲染数据列表 */
    interfaceData: any;
}): Record<string, any>;
